# Method: providers.entitlements.approve

- [HTTP request](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.entitlements/approve#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.entitlements/approve#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.entitlements/approve#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.entitlements/approve#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.entitlements/approve#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.entitlements/approve#body.aspect)

Approves an entitlement that is in the `https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.entitlements#EntitlementState.ENUM_VALUES.ENTITLEMENT_ACTIVATION_REQUESTED` state.

This method is invoked by the provider to approve the creation of the entitlement resource.

### HTTP request

`POST https://cloudcommerceprocurement.googleapis.com/v1/{name=providers/*/entitlements/*}:approve`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the entitlement, with the format `providers/{providerId}/entitlements/{entitlementId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `commerceprocurement.providerEntitlements.approve` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "properties": { string: string, ... }, "entitlementMigrated": string } ``` |

| Fields ||
|---|---|
| `properties (deprecated)` | `map (key: string, value: string)` Set of properties that should be associated with the entitlement. Optional. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |
| `entitlementMigrated` | `string` Optional. The resource name of the entitlement that was migrated, with the format `providers/{providerId}/entitlements/{entitlement_id}`. Should only be sent when resources have been migrated from `entitlementMigrated` to the new entitlement. Optional. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).